Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPostScriptWriter Class Reference

`#include <vtkPostScriptWriter.h>`

Inheritance diagram for vtkPostScriptWriter:

[legend]
Collaboration diagram for vtkPostScriptWriter:

[legend]
List of all members.

## Detailed Description

Writes an image as a PostScript file.

Date:
  2002/08/13 17:14:29

Revision:
  1.18

vtkPostScriptWriter writes an image as a PostScript file using some reasonable scalings and centered on the page which is assumed to be about 8.5 by 11 inches. This is based loosely off of the code from pnmtops.c. Right now there aren't any real options.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (79%)
  - Cedilnik, Andy (8%)
  - Schroeder, Will (6%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkPostScriptWriter.h)`
  - .`cxx` (`/IO/vtkPostScriptWriter.cxx)`

Tests:
  vtkPostScriptWriter (Tests)

Definition at line 48 of file vtkPostScriptWriter.h.

## Public Types
typedef vtkImageWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkPostScriptWriter * | New ()
int | IsTypeOf (const char *type)
vtkPostScriptWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPostScriptWriter ()
| ~vtkPostScriptWriter ()
virtual void | WriteFile (ofstream *file, vtkImageData *data, int extent[6])
virtual void | WriteFileHeader (ofstream *, vtkImageData *)
virtual void | WriteFileTrailer (ofstream *, vtkImageData *)

## Member Typedef Documentation

typedef vtkImageWriter vtkPostScriptWriter::Superclass

| Reimplemented from vtkImageWriter. Definition at line 52 of file vtkPostScriptWriter.h.

## Constructor & Destructor Documentation

vtkPostScriptWriter::vtkPostScriptWriter | ( |  | ) | `[inline, protected]`

| Definition at line 56 of file vtkPostScriptWriter.h.

vtkPostScriptWriter::~vtkPostScriptWriter | ( |  | ) | `[inline, protected]`

| Definition at line 57 of file vtkPostScriptWriter.h.

## Member Function Documentation

vtkPostScriptWriter* vtkPostScriptWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageWriter.

virtual const char* vtkPostScriptWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageWriter.

int vtkPostScriptWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageWriter.

virtual int vtkPostScriptWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageWriter.

vtkPostScriptWriter* vtkPostScriptWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageWriter.

virtual void vtkPostScriptWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageWriter.

virtual void vtkPostScriptWriter::WriteFile | ( | ofstream * | file,
|  | vtkImageData * | data,
|  | int | extent[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageWriter.

virtual void vtkPostScriptWriter::WriteFileHeader | ( | ofstream * | ,
|  | vtkImageData * |
| ) | `[protected, virtual]`

| Reimplemented from vtkImageWriter.

virtual void vtkPostScriptWriter::WriteFileTrailer | ( | ofstream * | ,
|  | vtkImageData * |
| ) | `[protected, virtual]`

| Reimplemented from vtkImageWriter.

The documentation for this class was generated from the following file:

- IO/vtkPostScriptWriter.h